gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: doc builder


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: doc builder
Date: Thu, 29 Aug 2019 14:10:40 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 16854b3  doc builder
16854b3 is described below

commit 16854b3fea5cc3996980573c5d0807948fccabc7
Author: Florian Dold <address@hidden>
AuthorDate: Thu Aug 29 14:10:38 2019 +0200

    doc builder
---
 buildbot/build-docs.sh       | 15 ++++++++++++---
 taler-docbuild/Makefile      |  7 -------
 taler-docbuild/README        |  2 --
 taler-docbuild/invalidate.sh | 14 --------------
 4 files changed, 12 insertions(+), 26 deletions(-)

diff --git a/buildbot/build-docs.sh b/buildbot/build-docs.sh
index 79cd049..0c8a94c 100755
--- a/buildbot/build-docs.sh
+++ b/buildbot/build-docs.sh
@@ -2,7 +2,16 @@
 
 set -eu
 
-cd ~/deployment/taler-docbuild
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo head)
+  git reset --hard "$branch"
+}
+
+cd $HOME/deployment
+fetch
 
-./invalidate.sh
-make all
+cd ~/deployment/taler-docbuild
+./update_docs.sh
diff --git a/taler-docbuild/Makefile b/taler-docbuild/Makefile
deleted file mode 100644
index 246d607..0000000
--- a/taler-docbuild/Makefile
+++ /dev/null
@@ -1,7 +0,0 @@
-BASE="${HOME}/deployment/taler-docbuild"
-
-all: docs-stamp
-
-docs-stamp:
-       ${BASE}/update_docs.sh
-       touch $@
diff --git a/taler-docbuild/README b/taler-docbuild/README
deleted file mode 100644
index 115fe29..0000000
--- a/taler-docbuild/README
+++ /dev/null
@@ -1,2 +0,0 @@
-Makefile for all taler components, using one timestamp
-file in this folder to represent each component.
diff --git a/taler-docbuild/invalidate.sh b/taler-docbuild/invalidate.sh
deleted file mode 100755
index a4fd89b..0000000
--- a/taler-docbuild/invalidate.sh
+++ /dev/null
@@ -1,14 +0,0 @@
-#!/bin/bash
-
-set -eu
-
-components="bank merchant exchange deployment backoffice api 
merchant-frontend-examples"
-
-for component in $components ; do
-  cd $HOME/$component
-  git fetch
-  if git status -sb | grep behind; then
-    echo "invalidating $component"
-    rm -f $HOME/stamps/$component-stamp
-  fi
-done

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]